#include "MySyncObject.h"

CMySyncObject::CMySyncObject()
{
}


CMySyncObject::~CMySyncObject()
{
}

BOOL CMySyncObject::Initialize()
{
	pthread_mutex_init(&m_Mutex, NULL);	// ミューテックスの初期化
	return(TRUE);
}

BOOL CMySyncObject::Uninitialize()
{
	pthread_mutex_destroy(&m_Mutex);	// ミューテックスの破棄
	return(TRUE);
}

BOOL CMySyncObject::Lock()				// 所有権を取得するまで待つ
{
	pthread_mutex_lock(&m_Mutex);
	return(TRUE);
}

BOOL CMySyncObject::UnLock()			// 所有権を開放する
{
	pthread_mutex_unlock(&m_Mutex);
	usleep(0);							// 他のスレッドに実行のチャンスを与える
	return(TRUE);
}


